commit:     4c0fb90e550f472a8ad3bd4d9338469287cd60a4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 13:20:37 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 13:20:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c0fb90e

media-libs/libcdr: 0.1.7 version bump

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libcdr/Manifest            |  1 +
 media-libs/libcdr/libcdr-0.1.7.ebuild | 57 +++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/media-libs/libcdr/Manifest b/media-libs/libcdr/Manifest
index 55ed4a4dd28..a2591d52618 100644
--- a/media-libs/libcdr/Manifest
+++ b/media-libs/libcdr/Manifest
@@ -1 +1,2 @@
 DIST libcdr-0.1.6.tar.xz 612068 BLAKE2B 
ec5226a28f101472ea3044e9e5b87dba57b584fc813dfda29e00281182d067126bf8a5740c32bc5cb545f230f6f96163aac2fdf08879ec64379b7845839bc88a
 SHA512 
629d55da71c7333f41f60a32e2880deffcf80088096af1bbc8c572b80ef21d851102fdebce56f77245ed60822ca98e02c0867b192abef496a2313fde54a97bb6
+DIST libcdr-0.1.7.tar.xz 618528 BLAKE2B 
7e74b1936f80078f4b0a07e2e37f9d59489ad27acee66175032ba7250ab492310e4042c7b6d7995b1ffffee7da1c7562f5c2fc24457c3efe0b19fe7e00d8e42b
 SHA512 
9af327fcf9f3f3ef1c446e92f4d2ff06ebaccb54d4c65b021960a212bf416f7098006324625f3e1c00500597eaa9da39832cc27b83a6cd593e97b76b1eb63d38

diff --git a/media-libs/libcdr/libcdr-0.1.7.ebuild 
b/media-libs/libcdr/libcdr-0.1.7.ebuild
new file mode 100644
index 00000000000..fb7137dfd9b
--- /dev/null
+++ b/media-libs/libcdr/libcdr-0.1.7.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = 9999 ]]; then
+       
EGIT_REPO_URI="https://anongit.freedesktop.org/git/libreoffice/libcdr.git";
+       inherit autotools git-r3
+else
+       SRC_URI="https://dev-www.libreoffice.org/src/libcdr/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Library parsing the Corel cdr documents"
+HOMEPAGE="https://wiki.documentfoundation.org/DLP/Libraries/libcdr";
+
+LICENSE="MPL-2.0"
+SLOT="0"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/icu:=
+       dev-libs/librevenge
+       media-libs/lcms:2
+       sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+       dev-libs/boost
+"
+BDEPEND="
+       sys-devel/libtool
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+       test? ( dev-util/cppunit )
+"
+
+src_prepare() {
+       default
+       [[ -d m4 ]] || mkdir "m4"
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-static
+               $(use_with doc docs)
+               $(use_enable test tests)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to